Uploaded image for project: 'Apache Cordova'
  1. Apache Cordova
  2. CB-12524

add plugin failing because it cannot find tools/templates

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 6.5.0
    • Fix Version/s: None
    • Labels:
      None
    • Environment:

      Mac OSX 10.12.3
      Cordova 6.5.0
      Android 6.1.2

      Description

      plugin add is failing because it is looking for in sdk/tools/templates/gradle/wrapper, but tools/templates does not exist.

      The reference to the missing templates directory is found in

      check_reqs.js line 88

      platforms/android/cordova/lib/check_reqs.js
      line 88: var wrapperDir = path.join(sdkDir, 'tools', 'templates', 'gradle', 'wrapper');
      
      Please see the
      
      cordova plugin add $HOME/<local file spec>
      
      Failed to install 'com-shortsands-videoplayer':CordovaError: Could not find gradle wrapper within Android SDK. Might need to update your Android SDK.
      Looked here: /Users/garygriswold/Library/Android/sdk/tools/templates/gradle/wrapper
          at Object.module.exports.check_gradle (/Users/garygriswold/ShortSands/VideoProto/platforms/android/cordova/lib/check_reqs.js:90:25)
          at GradleBuilder.prepEnv (/Users/garygriswold/ShortSands/VideoProto/platforms/android/cordova/lib/builders/GradleBuilder.js:161:23)
          at Api.module.exports.runClean (/Users/garygriswold/ShortSands/VideoProto/platforms/android/cordova/lib/build.js:131:20)
          at /Users/garygriswold/ShortSands/VideoProto/platforms/android/cordova/Api.js:394:50
          at _fulfilled (/Users/garygriswold/ShortSands/VideoProto/platforms/android/cordova/node_modules/q/q.js:834:54)
          at self.promiseDispatch.done (/Users/garygriswold/ShortSands/VideoProto/platforms/android/cordova/node_modules/q/q.js:863:30)
          at Promise.promise.promiseDispatch (/Users/garygriswold/ShortSands/VideoProto/platforms/android/cordova/node_modules/q/q.js:796:13)
          at /Users/garygriswold/ShortSands/VideoProto/platforms/android/cordova/node_modules/q/q.js:604:44
          at runSingle (/Users/garygriswold/ShortSands/VideoProto/platforms/android/cordova/node_modules/q/q.js:137:13)
          at flush (/Users/garygriswold/ShortSands/VideoProto/platforms/android/cordova/node_modules/q/q.js:125:13)
      Error: Could not find gradle wrapper within Android SDK. Might need to update your Android SDK.
      Looked here: /Users/garygriswold/Library/Android/sdk/tools/templates/gradle/wrapper
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                bowserj Joe Bowser
                Reporter:
                gary@shortsands.com Gary N Griswold
              • Votes:
                3 Vote for this issue
                Watchers:
                11 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: